[Libreoffice-commits] core.git: desktop/Package_scripts.mk desktop/scripts
Stephan Bergmann
sbergman at redhat.com
Mon Sep 29 13:53:01 PDT 2014
desktop/Package_scripts.mk | 2 -
desktop/scripts/unoinfo-mac.sh | 46 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 47 insertions(+), 1 deletion(-)
New commits:
commit f6848ac7375fec8dd3e883c6efe6206dda88fe63
Author: Stephan Bergmann <sbergman at redhat.com>
Date: Mon Sep 29 22:52:28 2014 +0200
Adapt unoinfo to new Mac OS X LibreOffice.app layout
Change-Id: I0e7fc27f558de2af7e860ca2ab2da1952fc85678
diff --git a/desktop/Package_scripts.mk b/desktop/Package_scripts.mk
index 4ed94ad..ed2ae3e 100644
--- a/desktop/Package_scripts.mk
+++ b/desktop/Package_scripts.mk
@@ -23,7 +23,7 @@ endif
ifneq ($(OS),WNT)
-$(eval $(call gb_Package_add_file,desktop_scripts_install,$(LIBO_BIN_FOLDER)/unoinfo,unoinfo.sh))
+$(eval $(call gb_Package_add_file,desktop_scripts_install,$(LIBO_BIN_FOLDER)/unoinfo,$(if $(filter MACOSX,$(OS)),unoinfo-mac.sh,unoinfo.sh)))
$(eval $(call gb_Package_add_file,desktop_scripts_install,$(LIBO_BIN_FOLDER)/unopkg,unopkg.sh))
endif
diff --git a/desktop/scripts/unoinfo-mac.sh b/desktop/scripts/unoinfo-mac.sh
new file mode 100755
index 0000000..3c482fc
--- /dev/null
+++ b/desktop/scripts/unoinfo-mac.sh
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+# This file is part of the LibreOffice project.
+#
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at http://mozilla.org/MPL/2.0/.
+#
+# This file incorporates work covered by the following license notice:
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed
+# with this work for additional information regarding copyright
+# ownership. The ASF licenses this file to you under the Apache
+# License, Version 2.0 (the "License"); you may not use this file
+# except in compliance with the License. You may obtain a copy of
+# the License at http://www.apache.org/licenses/LICENSE-2.0 .
+#
+
+set -e
+
+# resolve installation directory
+sd_res=$0
+while [ -h "$sd_res" ] ; do
+ cd "`dirname "$sd_res"`"
+ sd_basename=`basename "$sd_res"`
+ sd_res=`ls -l "$sd_basename" | sed "s/.*$sd_basename -> //g"`
+done
+cd "`dirname "$sd_res"`"
+sd_prog=`pwd`
+
+case $1 in
+c++)
+ printf '%s' "$sd_prog/../Frameworks"
+ ;;
+java)
+ printf '0%s\0%s\0%s\0%s\0%s' \
+ "$sd_prog/../Resources/java/ridl.jar" \
+ "$sd_prog/../Resources/java/jurt.jar" \
+ "$sd_prog/../Resources/java/juh.jar" \
+ "$sd_prog/../Resources/java/unoil.jar" "$sd_prog"
+ ;;
+*)
+ exit 1
+ ;;
+esac
More information about the Libreoffice-commits
mailing list